FreeBSD : cURL -- potential memory disclosure (04f29189-1a05-11e7-bc6e-b499baebfeaf)

Low Nessus Plugin ID 99206


The remote FreeBSD host is missing a security-related update.


The cURL project reports :

There were two bugs in curl's parser for the command line option
--write-out (or -w for short) that would skip the end of string zero byte if the string ended in a % (percent) or \ (backslash), and it would read beyond that buffer in the heap memory and it could then potentially output pieces of that memory to the terminal or the target file etc..

This flaw only exists in the command line tool.

We are not aware of any exploit of this flaw.


Update the affected package.

See Also

Plugin Details

Severity: Low

ID: 99206

File Name: freebsd_pkg_04f291891a0511e7bc6eb499baebfeaf.nasl

Version: $Revision: 3.5 $

Type: local

Published: 2017/04/06

Modified: 2018/01/31

Dependencies: 12634

Risk Information

Risk Factor: Low


Base Score: 2.1

Vector: CVSS2#AV:L/AC:L/Au:N/C:P/I:N/A:N


Base Score: 2.4

Vector: CVSS:3.0/AV:P/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:curl, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2017/04/05

Vulnerability Publication Date: 2017/04/03

Reference Information

CVE: CVE-2017-7407